

/*!
    @header PRES_Header
    @abstract Structure to capture information saved in Presentation Log files
    @discussion Stores Picture and Sound events and their intervals
*/

#ifndef PRES_HEADER_H
#define PRES_HEADER_H

#define EVENT_PICTURE	1
#define EVENT_RESPONSE	2
#define EVENT_PULSE		3

#define UNITS_VOLS		1
#define UNITS_MSEC		2

#define DURATION_LOG_BASED		2
#define DURATION_NEXT_PIC_BASED 1


typedef struct {

	double intervalfrom;
	double intervalto;

} presEvent;

typedef struct {

	int nrofevents;
	int eventtype; // Pulse, Response or Picture
	char *code;
	double time;
	int ttime;
	int uncertainty;
	double duration;
	double uncertainty2;
	double reqtime;
	char *reqdur;  	
	presEvent *events;

} presTrial;

typedef struct {

	char		*origname;
	char		*scenarioname;
	int			nroftrials;
	int			nrofcodes;
	presTrial	*trials;
	
} presHdr;

class experiment {

};

#endif // PRES_HEADER_H