


#ifndef IOFUNCS_H
#define IOFUNCS_H


/*! 
@abstract Function to insert an infix in a filename between the end of the name and the extension
@param fileName 
@param inter Infix, for example "_NEW"
@return fileName with infix
*/
char *createFileName(char *fileName, char *inter);

/*! 
@abstract Function to remove the extension of a filename
@param Filename including path
@return Filename including path without extension
*/
char *removeExtension(char *fileName);				

/*! 
@abstract Function to reuse the filename but with different extension
@param The filename to be reused
@param The new extension, f.e. ".prt";
@return The reused filename with new extension
*/
char *exchangeExtension(char *currentFileName, char *newExtension);	

/*!
@abstract Function to obtain extension of file name
@param fileName (*char)
@return extension (*.char)
*/
char *getFileExtension(char *fileName);

/*! 
@abstract Function to get the basis name of the file
@param Filename including path
@param Boolean to indicate whether this should be a name without path and extension (true removes extension as well)
@param Boolean to indicate whether the goal is to create STC files (forgot the use)
@return The basename
*/
char *getFileName(char *fullFileName, bool basename, bool forSTC);



#endif // IOFUNCS_H