
/*
 *  pres2prot.h
 *  protocolgenerator
 *
 *  Created by Hester Breman (BVQX Plugin Headers by Rainer Goebel).
 *  Copyright 2008 Brain Innovation B.V. All rights reserved.
 *
 0.9.1 (22-05-12): added clearance of existing protocol for option 1 (generate protocol from Presentation log)
 */


/*!
    @header pres2prot
    @abstract   Implementation of BrainVoyager plugin class
    @discussion The protocolgenerator converts Presentation Log files into BrainVoyager QX
	Stimulation Protocol files. It is also possible to shift the offsets of all intervals.
*/


#ifndef PROTOCOLGENERATOR_H
#define PROTOCOLGENERATOR_H


#include "BVQXPluginInterface.h"


class ProtocolGenerator : public BVQXPluginInterface
{

public:
	
	PLUGIN_ACCESS ProtocolGenerator();
	PLUGIN_ACCESS virtual ~ProtocolGenerator();

	PLUGIN_ACCESS bool initPlugin();			
	PLUGIN_ACCESS bool execute();

private:
	
	bool checkPluginAvailability() const;
	
};

extern "C" {
	PLUGIN_ACCESS BVQXPluginInterface *createPlugin();
	PLUGIN_ACCESS const char *getPluginName();
	PLUGIN_ACCESS const char *getPluginDescription();
	PLUGIN_ACCESS const char *getAuthor();
	PLUGIN_ACCESS const char *getHelpFile();
	PLUGIN_ACCESS const char *getPluginVersion(); 
	PLUGIN_ACCESS const char *getGUIScript();	
}


#endif // PROTOCOLGENERATOR_H





















